(ert-deftest file-notify-test03c-events ()
  "Check that rename events are propagated to all watches."
  (skip-unless (file-notify--test-local-enabled))
  (unwind-protect
      (progn
        (setq file-notify--test-tmpfile (file-notify--test-make-temp-name)
              file-notify--test-tmpfile1 (file-notify--test-make-temp-name))
        (with-temp-file file-notify--test-tmpfile1)
        (setq file-notify--test-desc (file-notify-add-watch
                                      file-notify--test-tmpfile
                                      '(change attribute-change)
                                      #'file-notify--test-event-handler)
              file-notify--test-desc1 (file-notify-add-watch
                                       file-notify--test-tmpfile
                                       '(change attribute-change)
                                       (lambda (event)
                                         (file-notify--test-event-handler event))))
        (file-notify--test-with-events '(renamed renamed)
          (rename-file file-notify--test-tmpfile1
                       file-notify--test-tmpfile))
        (file-notify-rm-watch file-notify--test-desc)
        (file-notify-rm-watch file-notify--test-desc1)
        (file-notify--test-cleanup-p))
    (file-notify--test-cleanup)))
